{
  "swagger": "2.0",
  "info": {
    "title": "blocks.proto",
    "version": "version not set"
  },
  "tags": [
    {
      "name": "Post"
    },
    {
      "name": "Setting"
    },
    {
      "name": "Tag"
    },
    {
      "name": "Timeline"
    }
  ],
  "consumes": [
    "application/json"
  ],
  "produces": [
    "application/json"
  ],
  "paths": {},
  "definitions": {
    "feedAttachItem": {
      "type": "object",
      "properties": {
        "identity": {
          "type": "string",
          "title": "唯一标识"
        },
        "attachType": {
          "type": "string",
          "title": "文件类型"
        },
        "url": {
          "type": "string",
          "title": "文件路径"
        }
      },
      "title": "附件"
    },
    "feedCommentItem": {
      "type": "object",
      "properties": {
        "identity": {
          "type": "string",
          "title": "评论identity"
        },
        "postIdentity": {
          "type": "string",
          "title": "被评论唯一标识"
        },
        "feedIdentity": {
          "type": "string",
          "title": "评论人唯一标识"
        },
        "content": {
          "type": "string",
          "title": "评论内容"
        },
        "subComment": {
          "type": "array",
          "items": {
            "type": "object",
            "$ref": "#/definitions/feedCommentItem"
          },
          "title": "子评论"
        }
      }
    },
    "feedCommentListReply": {
      "type": "object",
      "properties": {
        "list": {
          "type": "array",
          "items": {
            "type": "object",
            "$ref": "#/definitions/feedCommentItem"
          },
          "title": "评论列表"
        },
        "total": {
          "type": "string",
          "format": "int64"
        }
      },
      "title": "推文评论列表"
    },
    "feedEmpty": {
      "type": "object"
    },
    "feedPostItem": {
      "type": "object",
      "properties": {
        "identity": {
          "type": "string",
          "title": "唯一标识"
        },
        "content": {
          "type": "string",
          "title": "内容"
        },
        "feedId": {
          "type": "string",
          "format": "int64",
          "title": "通行证ID"
        },
        "feedIdentity": {
          "type": "string",
          "title": "通行证Identity"
        },
        "isOpen": {
          "type": "boolean",
          "title": "是否公开：默认为0-公开，1-不公开"
        },
        "cntUnlike": {
          "type": "string",
          "format": "int64",
          "title": "点踩数量"
        },
        "cntComment": {
          "type": "string",
          "format": "int64",
          "title": "评论数量"
        },
        "cntLike": {
          "type": "string",
          "format": "int64",
          "title": "点赞数量"
        },
        "attachs": {
          "type": "array",
          "items": {
            "type": "object",
            "$ref": "#/definitions/feedAttachItem"
          },
          "title": "附件信息"
        },
        "tags": {
          "type": "array",
          "items": {
            "type": "object",
            "$ref": "#/definitions/feedTagItem"
          },
          "title": "所属话题"
        }
      },
      "title": "推文"
    },
    "feedPostListReply": {
      "type": "object",
      "properties": {
        "list": {
          "type": "array",
          "items": {
            "type": "object",
            "$ref": "#/definitions/feedPostItem"
          }
        },
        "cnt": {
          "type": "string",
          "format": "int64"
        }
      },
      "title": "推文列表"
    },
    "feedStatusReply": {
      "type": "object",
      "properties": {
        "data": {
          "type": "string",
          "title": "数据"
        },
        "timeseq": {
          "type": "string",
          "format": "int64",
          "title": "响应时间序列"
        }
      }
    },
    "feedTagItem": {
      "type": "object",
      "properties": {
        "key": {
          "type": "string",
          "title": "标签唯一码"
        },
        "content": {
          "type": "string",
          "title": "标签内容"
        }
      },
      "title": "标签"
    },
    "feedTagListReply": {
      "type": "object",
      "properties": {
        "tags": {
          "type": "array",
          "items": {
            "type": "object",
            "$ref": "#/definitions/feedTagItem"
          }
        },
        "total": {
          "type": "string",
          "format": "int64"
        }
      }
    },
    "protobufAny": {
      "type": "object",
      "properties": {
        "@type": {
          "type": "string"
        }
      },
      "additionalProperties": {}
    },
    "rpcStatus": {
      "type": "object",
      "properties": {
        "code": {
          "type": "integer",
          "format": "int32"
        },
        "message": {
          "type": "string"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "object",
            "$ref": "#/definitions/protobufAny"
          }
        }
      }
    }
  }
}
